org.apache.jmeter.gui.logging

## Class LogEventObject

- java.lang.Object
- - java.util.EventObject
  - - org.apache.jmeter.gui.logging.LogEventObject

- All Implemented Interfaces:
    java.io.Serializable

      public class LogEventObject
      extends java.util.EventObject

  Log event object.
  Since:
    3.2
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogEventObject(java.lang.Object source)`
    `LogEventObject(java.lang.Object source, java.lang.String seralizedString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isMoreSpecificThanError()`
    `boolean` | `isMoreSpecificThanInfo()`
    `boolean` | `isMoreSpecificThanWarn()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LogEventObject

          public LogEventObject(java.lang.Object source)

    - #### LogEventObject

          public LogEventObject(java.lang.Object source,
                                java.lang.String seralizedString)

  - ### Method Detail

    - #### isMoreSpecificThanError

          public boolean isMoreSpecificThanError()

    - #### isMoreSpecificThanWarn

          public boolean isMoreSpecificThanWarn()

    - #### isMoreSpecificThanInfo

          public boolean isMoreSpecificThanInfo()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.